Next: csinh, Previous: creal, Up: Complex

### 2.18 `csin`, `csinf`—complex sine

Synopsis

         #include <complex.h>
         double complex csin(double complex z);
         float complex csinf(float complex z);

Description
These functions compute the complex sine of z.

`csinf` is identical to `csin`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex sine value.

Portability
`csin` and `csinf` are ISO C99